Bug 79310 - [PATCH] databases/firebird-devel: update to 20050327 (2.0-alpha1), take maintainership
Summary: [PATCH] databases/firebird-devel: update to 20050327 (2.0-alpha1), take maint...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Thierry Thomas
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-03-28 18:30 UTC by Renato Botelho
Modified: 2005-04-11 20:26 UTC (History)
0 users

See Also:


Attachments
firebird-devel-2.0.a1.patch (8.14 KB, patch)
2005-03-28 18:30 UTC, Renato Botelho
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Renato Botelho 2005-03-28 18:30:02 UTC
- Update to 20050327 (2.0-alpha1)
- Take maintainership
- Remove undeeded patch-src::common::classes::locks.h
- Convert patch-autogen.sh to ${REINPLACE_CMD}

Removed file(s):
- files/patch-autogen.sh
- files/patch-src::common::classes::locks.h

Special thanks to Wendell Martins Borges <wendell@ramenzoni.com.br> for
hosting source tarball

Port maintainer (ports@FreeBSD.org) is cc'd.

Generated with FreeBSD Port Tools 0.63
Comment 1 Renato Botelho 2005-03-30 13:36:13 UTC
Please, apply this patch to Makefile, it change libtool to 1.5 and
use ${WANT_LIBTOOL_VER} and ${WANT_AUTOCONF_VER} on pre-configure target

--- ../firebird-devel.orig/Makefile	Mon Mar 28 14:12:37 2005
+++ ./Makefile	Wed Mar 30 08:08:31 2005
@@ -18,7 +18,7 @@
 
 USE_BZIP2=	yes
 USE_GMAKE=	yes
-WANT_LIBTOOL_VER=	13
+WANT_LIBTOOL_VER=	15
 GNU_CONFIGURE=	yes
 WANT_AUTOCONF_VER=	259
 USE_GCC=	3.4
@@ -53,9 +53,9 @@
 .endif
 
 pre-configure:
-	@${REINPLACE_CMD} "s/AUTOCONF=autoconf/AUTOCONF=autoconf259/g; \
-	                   s/LIBTOOL=libtool/LIBTOOL=libtool13/g; \
-	                   s/LIBTOOLIZE=libtoolize/LIBTOOLIZE=libtoolize13/g" \
+	@${REINPLACE_CMD} "s/\(AUTOCONF=autoconf\)/\1${WANT_AUTOCONF_VER}/g; \
+	                   s/\(LIBTOOL=libtool\)/\1${WANT_LIBTOOL_VER}/g; \
+	                   s/\(LIBTOOLIZE=libtoolize\)/\1${WANT_LIBTOOL_VER}/g" \
 	                  ${WRKSRC}/autogen.sh
 
 do-configure:

-- 
Renato Botelho
AIM: RBGargaBR
ICQ: 54596223
GPG: 0x2244EDA9 at pgp.mit.edu
Comment 2 Thierry Thomas freebsd_committer 2005-04-08 23:49:26 UTC
Responsible Changed
From-To: freebsd-ports-bugs->thierry


Take it.
Comment 3 Thierry Thomas freebsd_committer 2005-04-09 14:23:20 UTC
State Changed
From-To: open->feedback


This port is OK on FreeBSD-5, but compilation aborts on 
FreeBSD-4: 

g++34  -O -pipe -march=pentiumpro -O -pipe -march=pentiumpro -I../src/include/gen -I../src/include -O -fno-builtin -DNDEBUG -DFREEBSD -pipe -MMD -fPIC -DPROD_BUILD -O -pipe -march=pentiumpro -I../src/include/gen -I../src/include -O -fno-builtin -DNDEBUG -DFREEBSD -pipe -MMD -fPIC -DPROD_BUILD -I../src/include/gen -I../src/include -O -fno-builtin -DNDEBUG -DFREEBSD -pipe -MMD -fPIC -DPROD_BUILD -c ../src/utilities/gsec/gsec.cpp -o ../temp/std/utilities/gsec/gsec.o 
../gen/firebird/bin/gpre_current -r -m -z -n ../src/utilities/gsec/security.epp ../src/utilities/gsec/security.cpp 
gpre version FB-T2.0.0.10634 Firebird 2.0 Alpha 1 
Version(s) for database "security2.fdb" 
Firebird/FreeBSD/i386 (access method), version "FB-T2.0.0.10634 Firebird 2.0 Alpha 1" 
on disk structure version 11.0 
g++34  -O -pipe -march=pentiumpro -O -pipe -march=pentiumpro -I../src/include/gen -I../src/include -O -fno-builtin -DNDEBUG -DFREEBSD -pipe -MMD -fPIC -DPROD_BUILD -O -pipe -march=pentiumpro -I../src/include/gen -I../src/include -O -fno-builtin -DNDEBUG -DFREEBSD -pipe -MMD -fPIC -DPROD_BUILD -I../src/include/gen -I../src/include -O -fno-builtin -DNDEBUG -DFREEBSD -pipe -MMD -fPIC -DPROD_BUILD -c ../src/utilities/gsec/security.cpp -o ../temp/std/utilities/gsec/security.o 
g++34  -Wl,-rpath,/usr/local/firebird/lib -Wl,-rpath,/usr/local/firebird/intl   ../temp/std/utilities/gsec/gsec.o ../temp/std/utilities/gsec/security.o ../temp/std/utilities/gsec/call_service.o ../temp/std/jrd/enc.o ../temp/std/jrd/sha.o ../temp/std/jrd/os/posix/guid.o ../temp/std/common/classes/ClumpletReader.o ../temp/std/common/classes/ClumpletWriter.o -o ../gen/firebird/bin/gsec -L../gen/firebird/lib -lfbembed -lstdc++ -lcurses -lm -lc  -leditline ../gen/firebird/lib/libfbcommon.a 
../gen/firebird/lib/libfbcommon.a(alloc.o): In function `operator delete(void*)': 
alloc.o(.text+0x2fe8): multiple definition of `operator delete(void*)' 
/usr/local/lib/gcc/i386-portbld-freebsd4.10/3.4.4/libstdc++.a(del_op.o)(.text._ZdlPv+0x0): first defined here 
/usr/libexec/elf/ld: Warning: size of symbol `operator delete(void*)' changed from 23 to 69 in ../gen/firebird/lib/libfbcommon.a(alloc.o) 
../gen/firebird/lib/libfbcommon.a(alloc.o): In function `operator delete[](void*)': 
alloc.o(.text+0x302e): multiple definition of `operator delete[](void*)' 
/usr/local/lib/gcc/i386-portbld-freebsd4.10/3.4.4/libstdc++.a(del_opv.o)(.text._ZdaPv+0x0): first defined here 
/usr/libexec/elf/ld: Warning: size of symbol `operator delete[](void*)' changed from 19 to 69 in ../gen/firebird/lib/libfbcommon.a(alloc.o) 
collect2: ld returned 1 exit status 
gmake[2]: *** [../gen/firebird/bin/gsec] Erreur 1 
rm ../src/utilities/gstat/dba.cpp 
gmake[2]: Leaving directory `/usr/ports/databases/firebird-devel/work/firebird2/gen' 
gmake[1]: *** [embed_util] Erreur 2 
gmake[1]: Leaving directory `/usr/ports/databases/firebird-devel/work/firebird2/gen' 
gmake: *** [firebird] Erreur 2 
*** Error code 2 

Stop in /usr/ports/databases/firebird-devel. 

Since I'm there, I propose you the following patch, which remove 
specific target and use the standard build mechanism: 

--- firebird-devel.diff begins here --- 
diff -urN databases/firebird-devel.orig/Makefile databases/firebird-devel/Makefile 
--- databases/firebird-devel.orig/Makefile	Tue Oct 12 22:51:11 2004 
+++ databases/firebird-devel/Makefile	Sat Apr  9 10:10:41 2005 
@@ -6,33 +6,37 @@ 
# 

PORTNAME=	firebird 
-PORTVERSION=	2.0.a0 
-PORTREVISION=	1 
+PORTVERSION=	2.0.a1 
CATEGORIES=	databases 
-MASTER_SITES=	http://www.aims.net.au/chris/firebird/ 
+MASTER_SITES=	http://www.ramenzoni.com.br/~garga/firebird/ 
MASTER_SITE_SUBDIR=firebird 
PKGNAMESUFFIX=	-devel 
-DISTNAME=	firebird2-20031110 
+DISTNAME=	firebird2-20050327 

-MAINTAINER=	ports@FreeBSD.org 
+MAINTAINER=	freebsd@galle.com.br 
COMMENT=	The open-source InterBase(tm) 6.0 spin-off (Classic version) 

USE_BZIP2=	yes 
USE_GMAKE=	yes 
-WANT_LIBTOOL_VER=	13 
-GNU_CONFIGURE=	yes 
+WANT_LIBTOOL_VER=	15 
WANT_AUTOCONF_VER=	259 
+GNU_CONFIGURE=	yes 
+CONFIGURE_SCRIPT=	autogen.sh 
+CONFIGURE_ARGS=	--with-lock-manager --with-editline 
+CONFIGURE_TARGET=	--build=${MACHINE_ARCH}-portbld-freebsd${OSREL} 
USE_GCC=	3.4 

+PREFIX?=	${LOCALBASE}/${PORTNAME} 
+NO_MTREE=	yes 
+ 
CONFLICTS=	firebird-1.* 
NO_PACKAGE=	pkg-install not finished 

WRKSRC=		${WRKDIR}/firebird2 
INSTALLS_SHLIB=	yes 
-LDCONFIG_DIRS=	%%PREFIX%%/firebird/lib 
-MSG_FILE=	${PKGDIR}/pkg-message 
+LDCONFIG_DIRS=	%%PREFIX%%/lib 
+SUB_FILES=	pkg-message 
PKGMESSAGE=	${WRKDIR}/pkg-message 
-USE_REINPLACE=	yes 

ONLY_FOR_ARCHS=	i386 

@@ -52,14 +56,7 @@ 
@sleep 10 
.endif 

-do-configure: 
-	@(cd ${WRKSRC} && ${ENV} CC=${CC} CXX=${CXX} MAKE=${GMAKE} ./autogen.sh --prefix=${PREFIX}/firebird --with-lock-manager --with-editline) 
- 
-do-build: 
-	@(								 
-	${SED} 's|%%PREFIX%%|${PREFIX}|g' ${MSG_FILE} > ${PKGMESSAGE};	 
-	cd ${WRKSRC};							 
-	${ENV} CC=${CC} CXX=${CXX} ${GMAKE} all;			 
-	) 
+post-install: 
+	@${CAT} ${PKGMESSAGE} 

.include <bsd.port.post.mk> 
diff -urN databases/firebird-devel.orig/distinfo databases/firebird-devel/distinfo 
--- databases/firebird-devel.orig/distinfo	Fri Mar 19 01:23:45 2004 
+++ databases/firebird-devel/distinfo	Fri Apr  8 22:00:25 2005 
@@ -1,2 +1,2 @@ 
-MD5 (firebird2-20031110.tar.bz2) = fa8cc0819e0a74278719953cf013bcb1 
-SIZE (firebird2-20031110.tar.bz2) = 3682236 
+MD5 (firebird2-20050327.tar.bz2) = 93996c74033f0efa180527e69f45196a 
+SIZE (firebird2-20050327.tar.bz2) = 4321529 
diff -urN databases/firebird-devel.orig/files/patch-autogen.sh databases/firebird-devel/files/patch-autogen.sh 
--- databases/firebird-devel.orig/files/patch-autogen.sh	Sat Jul  3 15:09:17 2004 
+++ databases/firebird-devel/files/patch-autogen.sh	Thu Jan  1 01:00:00 1970 
@@ -1,43 +0,0 @@ 
---- autogen.sh.orig	Sat Nov  1 14:50:38 2003 
-+++ autogen.sh	Mon Nov 10 16:24:17 2003 
-@@ -8,7 +8,7 @@ 
- SRCDIR=`dirname $0` 
- DIE=0 
-  
--VER=`autoconf --version|grep '^[Aa]utoconf'|sed 's/^[^0-9]*//'` 
-+VER=`autoconf259 --version|grep '^[Aa]utoconf'|sed 's/^[^0-9]*//'` 
- case "$VER" in 
-  0* | 1.* | 2.[0-9] | 2.[0-9][a-z]* |  
-  2.[1-4][0-9] | 2.5[0-6][a-z]* ) 
-@@ -20,7 +20,7 @@ 
-   ;; 
- esac 
-  
--VER=`libtool --version|grep ' libtool)'|sed 's/.*) ([0-9][0-9.]*) .*/1/'` 
-+VER=`libtool13 --version|grep ' libtool)'|sed 's/.*) ([0-9][0-9.]*) .*/1/'` 
- case "$VER" in 
-  0* | 1.[0-2] | 1.[0-2][a-z]* |  
-  1.3.[0-2] | 1.3.[0-2][a-z]* ) 
-@@ -50,18 +50,18 @@ 
-  
- # Generate configure from configure.in 
- echo "Running libtoolize ..." 
--LIBTOOL_M4=`libtoolize --copy --force --dry-run|grep 'You should add the contents of'|sed "s,^[^/]*(/[^']*).*$,1,"` 
-+LIBTOOL_M4=`libtoolize13 --copy --force --dry-run|grep 'You should add the contents of'|sed "s,^[^/]*(/[^']*).*$,1,"` 
- if test "x$LIBTOOL_M4" != "x"; then 
-  rm -f aclocal.m4 
-  cp $LIBTOOL_M4 aclocal.m4 
- fi 
--libtoolize --copy --force || exit 1 
-+libtoolize13 --copy --force || exit 1 
-  
- echo "Running autoheader ..." 
--autoheader || exit 1 
-+autoheader259 || exit 1 
-  
- echo "Running autoconf ..." 
--autoconf || exit 1 
-+autoconf259 || exit 1 
-  
- # If NOCONFIGURE is set, skip the call to configure 
- if test "x$NOCONFIGURE" = "x"; then 
diff -urN databases/firebird-devel.orig/files/patch-src::common::classes::locks.h databases/firebird-devel/files/patch-src::common::classes::locks.h 
--- databases/firebird-devel.orig/files/patch-src::common::classes::locks.h	Thu Dec  4 18:34:20 2003 
+++ databases/firebird-devel/files/patch-src::common::classes::locks.h	Thu Jan  1 01:00:00 1970 
@@ -1,49 +0,0 @@ 
---- src/common/classes/locks.h.orig	Sun Aug 17 14:56:47 2003 
-+++ src/common/classes/locks.h	Wed Nov 12 11:12:25 2003 
-@@ -77,7 +77,7 @@ 
-  
- /* Process-local spinlock. Used to manage memory heaps in threaded environment. */ 
- // Pthreads version of the class 
--#ifndef SOLARIS 
-+#if !defined(SOLARIS) && !defined(DARWIN) && !defined(FREEBSD) 
- class Spinlock { 
- private: 
- 	pthread_spinlock_t spinlock; 
-@@ -100,6 +100,7 @@ 
- 	} 
- }; 
- #else 
-+#ifdef SOLARIS 
- // Who knows why Solaris 2.6 have not THIS funny spins? 
- //The next code is not comlpeted but let me compile //Konstantin 
- class Spinlock { 
-@@ -123,6 +124,29 @@ 
- 			system_call_failed::raise(); 
- 	} 
- }; 
-+#else  // DARWIN and FREEBSD 
-+class Spinlock { 
-+private: 
-+	pthread_mutex_t mlock; 
-+public: 
-+	Spinlock() { 
-+		if (pthread_mutex_init(&mlock, 0)) 
-+			system_call_failed::raise(); 
-+	} 
-+	~Spinlock() { 
-+		if (pthread_mutex_destroy(&mlock)) 
-+			system_call_failed::raise(); 
-+	} 
-+	void enter() { 
-+		if (pthread_mutex_lock(&mlock)) 
-+			system_call_failed::raise(); 
-+	} 
-+	void leave() { 
-+		if (pthread_mutex_unlock(&mlock)) 
-+			system_call_failed::raise(); 
-+	} 
-+}; 
-+#endif 
-  
- #endif 
- #endif 
diff -urN databases/firebird-devel.orig/files/pkg-message.in databases/firebird-devel/files/pkg-message.in 
--- databases/firebird-devel.orig/files/pkg-message.in	Thu Jan  1 01:00:00 1970 
+++ databases/firebird-devel/files/pkg-message.in	Sat Apr  9 12:54:37 2005 
@@ -0,0 +1,24 @@ 
+ 
+--------------------------------------------------------- 
+Firebird is now installed.  A symbolic link from 
+/usr/interbase -> %%PREFIX%%/firebird may be needed 
+for compatibility with existing  programs that use 
+Firebird. 
+ 
+The symbolic link can be created with: 
+ 
+% ln -s %%PREFIX%% /usr/interbase 
+ 
+It is STRONGLY recommended that you change the SYSDBA 
+password with: 
+ 
+% cd %%PREFIX%% 
+% gsec -user SYSDBA -pass masterkey 
+GSEC> modify SYSDBA -pw newpassword 
+GSEC> quit 
+ 
+before doing anything serious with Firebird. 
+ 
+See %%PREFIX%%/firebird/RELNOTES for more. 
+--------------------------------------------------------- 
+ 
diff -urN databases/firebird-devel.orig/pkg-message databases/firebird-devel/pkg-message 
--- databases/firebird-devel.orig/pkg-message	Sun Dec  7 23:28:15 2003 
+++ databases/firebird-devel/pkg-message	Thu Jan  1 01:00:00 1970 
@@ -1,24 +0,0 @@ 
- 
---------------------------------------------------------- 
-Firebird is now installed.  A symbolic link from 
-/usr/interbase -> %%PREFIX%%/firebird may be needed 
-for compatibility with existing  programs that use 
-Firebird. 
- 
-The symbolic link can be created with: 
- 
-% ln -s %%PREFIX%%/firebird /usr/interbase 
- 
-It is STRONGLY recommended that you change the SYSDBA 
-password with: 
- 
-% cd %%PREFIX%%/firebird 
-% gsec -user SYSDBA -pass masterkey 
-GSEC> modify SYSDBA -pw newpassword 
-GSEC> quit 
- 
-before doing anything serious with Firebird. 
- 
-See %%PREFIX%%/firebird/RELNOTES for more. 
---------------------------------------------------------- 
- 
diff -urN databases/firebird-devel.orig/pkg-plist databases/firebird-devel/pkg-plist 
--- databases/firebird-devel.orig/pkg-plist	Sun Dec  7 23:28:16 2003 
+++ databases/firebird-devel/pkg-plist	Sat Apr  9 12:50:22 2005 
@@ -1,73 +1,100 @@ 
-etc/rc.d/000.firebird.sh 
-firebird/README 
-firebird/UDF/fbudf.so 
-firebird/UDF/fbudf.sql 
-firebird/UDF/ib_udf.so 
-firebird/UDF/ib_udf.sql 
-firebird/WhatsNew 
-firebird/aliases.conf 
-firebird/bin/fb_inet_server 
-firebird/bin/fb_lock_mgr 
-firebird/bin/fb_lock_print 
-firebird/bin/gbak 
-firebird/bin/gdef 
-firebird/bin/gds_drop 
-firebird/bin/gfix 
-firebird/bin/gpre 
-firebird/bin/gsec 
-firebird/bin/gsplit 
-firebird/bin/gstat 
-firebird/bin/isql 
-firebird/bin/qli 
-firebird/doc/README.NTSecurity 
-firebird/doc/README.build.mingw.html 
-firebird/doc/README.build.msvc.html 
-firebird/doc/README.coding.style 
-firebird/doc/README.instsvc 
-firebird/doc/README.makefiles 
-firebird/doc/README.user 
-firebird/doc/README.user.embedded 
-firebird/doc/README.user.troubleshooting 
-firebird/doc/sql.extensions/README.aggregate_tracking 
-firebird/doc/sql.extensions/README.case 
-firebird/doc/sql.extensions/README.coalesce 
-firebird/doc/sql.extensions/README.context_variables 
-firebird/doc/sql.extensions/README.data_types 
-firebird/doc/sql.extensions/README.exception_handling 
-firebird/doc/sql.extensions/README.execute_statement 
-firebird/doc/sql.extensions/README.explicit_locks 
-firebird/doc/sql.extensions/README.nullif 
-firebird/doc/sql.extensions/README.order_by_expressions_nulls 
-firebird/doc/sql.extensions/README.savepoints 
-firebird/doc/sql.extensions/README.universal_triggers 
-firebird/firebird.conf 
+@unexec rm -f %%LOCALBASE%%/etc/rc.d/000.firebird.sh 
+README 
+UDF/fbudf.so 
+UDF/fbudf.sql 
+UDF/ib_udf.so 
+UDF/ib_udf.sql 
+WhatsNew 
+aliases.conf 
+aliases.conf.sample 
+bin/fb_inet_server 
+bin/fb_lock_mgr 
+bin/fb_lock_print 
+bin/gbak 
+bin/gdef 
+bin/gds_drop 
+bin/gfix 
+bin/gpre 
+bin/gsec 
+bin/gsplit 
+bin/gstat 
+bin/isql 
+bin/qli 
+doc/README.NTSecurity 
+doc/README.Optimizer.txt 
+doc/README.Win32LibraryInstallation.txt 
+doc/README.build.mingw.html 
+doc/README.build.msvc.html 
+doc/README.coding.style 
+doc/README.instsvc 
+doc/README.isql_enhancements.txt 
+doc/README.makefiles 
+doc/README.performance_monitoring 
+doc/README.sha1 
+doc/README.user 
+doc/README.user.embedded 
+doc/README.user.troubleshooting 
+doc/README.xnet 
+doc/sql.extensions/README.PSQL_stack_trace.txt 
+doc/sql.extensions/README.aggregate_tracking 
+doc/sql.extensions/README.case 
+doc/sql.extensions/README.coalesce 
+doc/sql.extensions/README.context_variables 
+doc/sql.extensions/README.context_variables2 
+doc/sql.extensions/README.cursors 
+doc/sql.extensions/README.data_type_results_of_aggregations.txt 
+doc/sql.extensions/README.data_types 
+doc/sql.extensions/README.ddl.txt 
+doc/sql.extensions/README.default_parameters 
+doc/sql.extensions/README.derived_tables.txt 
+doc/sql.extensions/README.distinct 
+doc/sql.extensions/README.exception_handling 
+doc/sql.extensions/README.execute_block 
+doc/sql.extensions/README.execute_statement 
+doc/sql.extensions/README.explicit_locks 
+doc/sql.extensions/README.expression_indices 
+doc/sql.extensions/README.iif 
+doc/sql.extensions/README.keywords 
+doc/sql.extensions/README.leave_labels 
+doc/sql.extensions/README.null_value 
+doc/sql.extensions/README.nullif 
+doc/sql.extensions/README.order_by_expressions_nulls 
+doc/sql.extensions/README.plan 
+doc/sql.extensions/README.rows 
+doc/sql.extensions/README.savepoints 
+doc/sql.extensions/README.select_expressions 
+doc/sql.extensions/README.sequence_generators 
+doc/sql.extensions/README.universal_triggers 
+doc/sql.extensions/README.view_updates 
+firebird.conf 
+firebird.conf.sample 
@unexec rm -f %D/firebird/firebird.log 
-firebird/firebird.msg 
-firebird/help/help.fdb 
-firebird/include/blr.h 
-firebird/include/gds.h 
-firebird/include/ib_util.h 
-firebird/include/ibase.h 
-firebird/include/iberror.h 
-firebird/include/perf.h 
-firebird/intl/fbintl 
-@unexec rm -f %D/firebird/isc_event1.`hostname` 
-@unexec rm -f %D/firebird/isc_init1.`hostname` 
-@unexec rm -f %D/firebird/isc_lock1.`hostname` 
-firebird/lib/libfbclient.so 
-firebird/lib/libfbclient.so.2 
-firebird/lib/libfbclient.so.2.0.0 
-firebird/lib/libfbembed.so 
-firebird/lib/libfbembed.so.2 
-firebird/lib/libfbembed.so.2.0.0 
-firebird/lib/libib_util.so 
-firebird/security.fdb 
-@dirrm firebird/UDF 
-@dirrm firebird/bin 
-@dirrm firebird/doc/sql.extensions 
-@dirrm firebird/doc 
-@dirrm firebird/help 
-@dirrm firebird/include 
-@dirrm firebird/intl 
-@dirrm firebird/lib 
-@dirrm firebird 
+firebird.msg 
+help/help.fdb 
+include/blr.h 
+include/ib_util.h 
+include/ibase.h 
+include/iberror.h 
+include/perf.h 
+intl/fbintl 
+@unexec rm -f %D/isc_event1.`hostname` 
+@unexec rm -f %D/isc_init1.`hostname` 
+@unexec rm -f %D/isc_lock1.`hostname` 
+lib/libfbclient.so 
+lib/libfbclient.so.2 
+lib/libfbclient.so.2.0.0 
+lib/libfbembed.so 
+lib/libfbembed.so.2 
+lib/libfbembed.so.2.0.0 
+lib/libib_util.so 
+security2.fdb.sample 
+security2.fdb 
+@dirrm UDF 
+@dirrm bin 
+@dirrm doc/sql.extensions 
+@dirrm doc 
+@dirrm help 
+@dirrm include 
+@dirrm intl 
+@dirrm lib 
+@unexec rmdir %D 2>/dev/null || true 
--- firebird-devel.diff ends here --- 

And yet another point (but you already know it): it would 
be fine to patch gen/install/install.sh and to replace it 
by a pkg-install, in order to remove the line 

NO_PACKAGE=	pkg-install not finished
Comment 4 Renato Botelho 2005-04-11 11:04:20 UTC
On Sat, Apr 09, 2005 at 01:34:42PM +0000, Thierry Thomas wrote:
> Since I'm there, I propose you the following patch, which remove
> specific target and use the standard build mechanism:

If it works fine on FreeBSD 5.x too, it sounds good for me.

> And yet another point (but you already know it): it would
> be fine to patch gen/install/install.sh and to replace it
> by a pkg-install, in order to remove the line
> 
> NO_PACKAGE=	pkg-install not finished

After this PR is commited, I'll start to work on this.

Thanks
-- 
Renato Botelho <freebsd at galle dot com dot br>
AIM: RBGargaBR | ICQ: 54596223
GnuPG Key: http://www.galle.com.br/~renato/pubkey.asc

Just because your doctor has a name for your condition doesn't mean he
knows what it is.
Comment 5 Renato Botelho 2005-04-11 17:15:12 UTC
On Mon, Apr 11, 2005 at 07:04:20AM -0300, Renato Botelho wrote:
> On Sat, Apr 09, 2005 at 01:34:42PM +0000, Thierry Thomas wrote:
> > Since I'm there, I propose you the following patch, which remove
> > specific target and use the standard build mechanism:
> 
> If it works fine on FreeBSD 5.x too, it sounds good for me.

Here is a new patch, based on yours with minor modifications.

- Fix pkg-plist, firebird.log wasn't deleted
- Remove message that say it just run on FreeBSD 5.x

===> Updating from CVS
M Makefile
M distinfo
R pkg-message
M pkg-plist
R files/patch-autogen.sh
R files/patch-src::common::classes::locks.h
A files/pkg-message.in
===> Generating patch
===> Viewing diff with more
Index: Makefile
===================================================================
RCS file: /home/ncvs/ports/databases/firebird-devel/Makefile,v
retrieving revision 1.24
diff -u -r1.24 Makefile
--- Makefile	12 Oct 2004 09:35:46 -0000	1.24
+++ Makefile	11 Apr 2005 16:08:02 -0000
@@ -6,33 +6,37 @@
 #
 
 PORTNAME=	firebird
-PORTVERSION=	2.0.a0
-PORTREVISION=	1
+PORTVERSION=	2.0.a1
 CATEGORIES=	databases
-MASTER_SITES=	http://www.aims.net.au/chris/firebird/
-MASTER_SITE_SUBDIR=firebird
+MASTER_SITES=	http://www.ramenzoni.com.br/~garga/firebird/
+MASTER_SITE_SUBDIR=	firebird
 PKGNAMESUFFIX=	-devel
-DISTNAME=	firebird2-20031110
+DISTNAME=	firebird2-20050327
 
-MAINTAINER=	ports@FreeBSD.org
+MAINTAINER=	freebsd@galle.com.br
 COMMENT=	The open-source InterBase(tm) 6.0 spin-off (Classic version)
 
-USE_BZIP2=	yes
-USE_GMAKE=	yes
-WANT_LIBTOOL_VER=	13
-GNU_CONFIGURE=	yes
+USE_BZIP2=		yes
+USE_GMAKE=		yes
+WANT_LIBTOOL_VER=	15
 WANT_AUTOCONF_VER=	259
-USE_GCC=	3.4
+GNU_CONFIGURE=		yes
+CONFIGURE_SCRIPT=	autogen.sh
+CONFIGURE_ARGS=		--with-lock-manager --with-editline
+CONFIGURE_TARGET=	--build=${MACHINE_ARCH}-portbld-freebsd${OSREL}
+USE_GCC=		3.4
+
+PREFIX?=	${LOCALBASE}/${PORTNAME}
+NO_MTREE=	yes
 
 CONFLICTS=	firebird-1.*
 NO_PACKAGE=	pkg-install not finished
 
 WRKSRC=		${WRKDIR}/firebird2
 INSTALLS_SHLIB=	yes
-LDCONFIG_DIRS=	%%PREFIX%%/firebird/lib
-MSG_FILE=	${PKGDIR}/pkg-message
+LDCONFIG_DIRS=	%%PREFIX%%/lib
+SUB_FILES=	pkg-message
 PKGMESSAGE=	${WRKDIR}/pkg-message
-USE_REINPLACE=	yes
 
 ONLY_FOR_ARCHS=	i386
 
@@ -41,8 +45,7 @@
 pre-everything::
 	@${ECHO_MSG} "NOTE: If the work directory is on an NFS mount, you will"
 	@${ECHO_MSG} "require NFS client locking support for the build to"
-	@${ECHO_MSG} "succeed. Currently this is only available on FreeBSD 5.0"
-	@${ECHO_MSG} "or greater."
+	@${ECHO_MSG} "succeed."
 	@${ECHO_MSG}
 	@${ECHO_MSG} "WARNING: The on-disk structure of the databases has"
 	@${ECHO_MSG} "changed since version 1.0.x."
@@ -52,14 +55,7 @@
 	@sleep 10
 .endif
 
-do-configure:
-	@(cd ${WRKSRC} && ${ENV} CC=${CC} CXX=${CXX} MAKE=${GMAKE} ./autogen.sh --prefix=${PREFIX}/firebird --with-lock-manager --with-editline)
-
-do-build:
-	@(								\
-	${SED} 's|%%PREFIX%%|${PREFIX}|g' ${MSG_FILE} > ${PKGMESSAGE};	\
-	cd ${WRKSRC};							\
-	${ENV} CC=${CC} CXX=${CXX} ${GMAKE} all;			\
-	)
+post-install:
+	@${CAT} ${PKGMESSAGE}
 
 .include <bsd.port.post.mk>
Index: distinfo
===================================================================
RCS file: /home/ncvs/ports/databases/firebird-devel/distinfo,v
retrieving revision 1.5
diff -u -r1.5 distinfo
--- distinfo	18 Mar 2004 17:59:58 -0000	1.5
+++ distinfo	11 Apr 2005 16:08:02 -0000
@@ -1,2 +1,2 @@
-MD5 (firebird2-20031110.tar.bz2) = fa8cc0819e0a74278719953cf013bcb1
-SIZE (firebird2-20031110.tar.bz2) = 3682236
+MD5 (firebird2-20050327.tar.bz2) = 93996c74033f0efa180527e69f45196a
+SIZE (firebird2-20050327.tar.bz2) = 4321529
Index: pkg-message
===================================================================
RCS file: pkg-message
diff -N pkg-message
--- pkg-message	4 Dec 2003 17:34:20 -0000	1.2
+++ /dev/null	1 Jan 1970 00:00:00 -0000
@@ -1,24 +0,0 @@
-
----------------------------------------------------------
-Firebird is now installed.  A symbolic link from
-/usr/interbase -> %%PREFIX%%/firebird may be needed
-for compatibility with existing  programs that use
-Firebird.
-
-The symbolic link can be created with:
-
-% ln -s %%PREFIX%%/firebird /usr/interbase
-
-It is STRONGLY recommended that you change the SYSDBA
-password with:
-
-% cd %%PREFIX%%/firebird
-% gsec -user SYSDBA -pass masterkey
-GSEC> modify SYSDBA -pw newpassword
-GSEC> quit
-
-before doing anything serious with Firebird.
-
-See %%PREFIX%%/firebird/RELNOTES for more.
----------------------------------------------------------
-
Index: pkg-plist
===================================================================
RCS file: /home/ncvs/ports/databases/firebird-devel/pkg-plist,v
retrieving revision 1.3
diff -u -r1.3 pkg-plist
--- pkg-plist	4 Dec 2003 17:34:20 -0000	1.3
+++ pkg-plist	11 Apr 2005 16:08:02 -0000
@@ -1,73 +1,100 @@
-etc/rc.d/000.firebird.sh
-firebird/README
-firebird/UDF/fbudf.so
-firebird/UDF/fbudf.sql
-firebird/UDF/ib_udf.so
-firebird/UDF/ib_udf.sql
-firebird/WhatsNew
-firebird/aliases.conf
-firebird/bin/fb_inet_server
-firebird/bin/fb_lock_mgr
-firebird/bin/fb_lock_print
-firebird/bin/gbak
-firebird/bin/gdef
-firebird/bin/gds_drop
-firebird/bin/gfix
-firebird/bin/gpre
-firebird/bin/gsec
-firebird/bin/gsplit
-firebird/bin/gstat
-firebird/bin/isql
-firebird/bin/qli
-firebird/doc/README.NTSecurity
-firebird/doc/README.build.mingw.html
-firebird/doc/README.build.msvc.html
-firebird/doc/README.coding.style
-firebird/doc/README.instsvc
-firebird/doc/README.makefiles
-firebird/doc/README.user
-firebird/doc/README.user.embedded
-firebird/doc/README.user.troubleshooting
-firebird/doc/sql.extensions/README.aggregate_tracking
-firebird/doc/sql.extensions/README.case
-firebird/doc/sql.extensions/README.coalesce
-firebird/doc/sql.extensions/README.context_variables
-firebird/doc/sql.extensions/README.data_types
-firebird/doc/sql.extensions/README.exception_handling
-firebird/doc/sql.extensions/README.execute_statement
-firebird/doc/sql.extensions/README.explicit_locks
-firebird/doc/sql.extensions/README.nullif
-firebird/doc/sql.extensions/README.order_by_expressions_nulls
-firebird/doc/sql.extensions/README.savepoints
-firebird/doc/sql.extensions/README.universal_triggers
-firebird/firebird.conf
-@unexec rm -f %D/firebird/firebird.log
-firebird/firebird.msg
-firebird/help/help.fdb
-firebird/include/blr.h
-firebird/include/gds.h
-firebird/include/ib_util.h
-firebird/include/ibase.h
-firebird/include/iberror.h
-firebird/include/perf.h
-firebird/intl/fbintl
-@unexec rm -f %D/firebird/isc_event1.`hostname`
-@unexec rm -f %D/firebird/isc_init1.`hostname`
-@unexec rm -f %D/firebird/isc_lock1.`hostname`
-firebird/lib/libfbclient.so
-firebird/lib/libfbclient.so.2
-firebird/lib/libfbclient.so.2.0.0
-firebird/lib/libfbembed.so
-firebird/lib/libfbembed.so.2
-firebird/lib/libfbembed.so.2.0.0
-firebird/lib/libib_util.so
-firebird/security.fdb
-@dirrm firebird/UDF
-@dirrm firebird/bin
-@dirrm firebird/doc/sql.extensions
-@dirrm firebird/doc
-@dirrm firebird/help
-@dirrm firebird/include
-@dirrm firebird/intl
-@dirrm firebird/lib
-@dirrm firebird
+@unexec rm -f %%LOCALBASE%%/etc/rc.d/000.firebird.sh
+README
+UDF/fbudf.so
+UDF/fbudf.sql
+UDF/ib_udf.so
+UDF/ib_udf.sql
+WhatsNew
+aliases.conf
+aliases.conf.sample
+bin/fb_inet_server
+bin/fb_lock_mgr
+bin/fb_lock_print
+bin/gbak
+bin/gdef
+bin/gds_drop
+bin/gfix
+bin/gpre
+bin/gsec
+bin/gsplit
+bin/gstat
+bin/isql
+bin/qli
+doc/README.NTSecurity
+doc/README.Optimizer.txt
+doc/README.Win32LibraryInstallation.txt
+doc/README.build.mingw.html
+doc/README.build.msvc.html
+doc/README.coding.style
+doc/README.instsvc
+doc/README.isql_enhancements.txt
+doc/README.makefiles
+doc/README.performance_monitoring
+doc/README.sha1
+doc/README.user
+doc/README.user.embedded
+doc/README.user.troubleshooting
+doc/README.xnet
+doc/sql.extensions/README.PSQL_stack_trace.txt
+doc/sql.extensions/README.aggregate_tracking
+doc/sql.extensions/README.case
+doc/sql.extensions/README.coalesce
+doc/sql.extensions/README.context_variables
+doc/sql.extensions/README.context_variables2
+doc/sql.extensions/README.cursors
+doc/sql.extensions/README.data_type_results_of_aggregations.txt
+doc/sql.extensions/README.data_types
+doc/sql.extensions/README.ddl.txt
+doc/sql.extensions/README.default_parameters
+doc/sql.extensions/README.derived_tables.txt
+doc/sql.extensions/README.distinct
+doc/sql.extensions/README.exception_handling
+doc/sql.extensions/README.execute_block
+doc/sql.extensions/README.execute_statement
+doc/sql.extensions/README.explicit_locks
+doc/sql.extensions/README.expression_indices
+doc/sql.extensions/README.iif
+doc/sql.extensions/README.keywords
+doc/sql.extensions/README.leave_labels
+doc/sql.extensions/README.null_value
+doc/sql.extensions/README.nullif
+doc/sql.extensions/README.order_by_expressions_nulls
+doc/sql.extensions/README.plan
+doc/sql.extensions/README.rows
+doc/sql.extensions/README.savepoints
+doc/sql.extensions/README.select_expressions
+doc/sql.extensions/README.sequence_generators
+doc/sql.extensions/README.universal_triggers
+doc/sql.extensions/README.view_updates
+firebird.conf
+firebird.conf.sample
+@unexec rm -f %D/firebird.log
+firebird.msg
+help/help.fdb
+include/blr.h
+include/ib_util.h
+include/ibase.h
+include/iberror.h
+include/perf.h
+intl/fbintl
+@unexec rm -f %D/isc_event1.`hostname`
+@unexec rm -f %D/isc_init1.`hostname`
+@unexec rm -f %D/isc_lock1.`hostname`
+lib/libfbclient.so
+lib/libfbclient.so.2
+lib/libfbclient.so.2.0.0
+lib/libfbembed.so
+lib/libfbembed.so.2
+lib/libfbembed.so.2.0.0
+lib/libib_util.so
+security2.fdb.sample
+security2.fdb
+@dirrm UDF
+@dirrm bin
+@dirrm doc/sql.extensions
+@dirrm doc
+@dirrm help
+@dirrm include
+@dirrm intl
+@dirrm lib
+@unexec rmdir %D 2>/dev/null || true
Index: files/patch-autogen.sh
===================================================================
RCS file: files/patch-autogen.sh
diff -N files/patch-autogen.sh
--- files/patch-autogen.sh	1 Jul 2004 17:06:35 -0000	1.2
+++ /dev/null	1 Jan 1970 00:00:00 -0000
@@ -1,43 +0,0 @@
---- autogen.sh.orig	Sat Nov  1 14:50:38 2003
-+++ autogen.sh	Mon Nov 10 16:24:17 2003
-@@ -8,7 +8,7 @@
- SRCDIR=`dirname $0`
- DIE=0
- 
--VER=`autoconf --version|grep '^[Aa]utoconf'|sed 's/^[^0-9]*//'`
-+VER=`autoconf259 --version|grep '^[Aa]utoconf'|sed 's/^[^0-9]*//'`
- case "$VER" in
-  0* | 1\.* | 2\.[0-9] | 2\.[0-9][a-z]* | \
-  2\.[1-4][0-9] | 2\.5[0-6][a-z]* )
-@@ -20,7 +20,7 @@
-   ;;
- esac
- 
--VER=`libtool --version|grep ' libtool)'|sed 's/.*) \([0-9][0-9.]*\) .*/\1/'`
-+VER=`libtool13 --version|grep ' libtool)'|sed 's/.*) \([0-9][0-9.]*\) .*/\1/'`
- case "$VER" in
-  0* | 1\.[0-2] | 1\.[0-2][a-z]* | \
-  1\.3\.[0-2] | 1\.3\.[0-2][a-z]* )
-@@ -50,18 +50,18 @@
- 
- # Generate configure from configure.in
- echo "Running libtoolize ..."
--LIBTOOL_M4=`libtoolize --copy --force --dry-run|grep 'You should add the contents of'|sed "s,^[^/]*\(/[^']*\).*$,\1,"`
-+LIBTOOL_M4=`libtoolize13 --copy --force --dry-run|grep 'You should add the contents of'|sed "s,^[^/]*\(/[^']*\).*$,\1,"`
- if test "x$LIBTOOL_M4" != "x"; then
-  rm -f aclocal.m4
-  cp $LIBTOOL_M4 aclocal.m4
- fi
--libtoolize --copy --force || exit 1
-+libtoolize13 --copy --force || exit 1
- 
- echo "Running autoheader ..."
--autoheader || exit 1
-+autoheader259 || exit 1
- 
- echo "Running autoconf ..."
--autoconf || exit 1
-+autoconf259 || exit 1
- 
- # If NOCONFIGURE is set, skip the call to configure
- if test "x$NOCONFIGURE" = "x"; then
Index: files/patch-src::common::classes::locks.h
===================================================================
RCS file: files/patch-src::common::classes::locks.h
diff -N files/patch-src::common::classes::locks.h
--- files/patch-src::common::classes::locks.h	4 Dec 2003 17:34:20 -0000	1.1
+++ /dev/null	1 Jan 1970 00:00:00 -0000
@@ -1,49 +0,0 @@
---- src/common/classes/locks.h.orig	Sun Aug 17 14:56:47 2003
-+++ src/common/classes/locks.h	Wed Nov 12 11:12:25 2003
-@@ -77,7 +77,7 @@
- 
- /* Process-local spinlock. Used to manage memory heaps in threaded environment. */
- // Pthreads version of the class
--#ifndef SOLARIS
-+#if !defined(SOLARIS) && !defined(DARWIN) && !defined(FREEBSD)
- class Spinlock {
- private:
- 	pthread_spinlock_t spinlock;
-@@ -100,6 +100,7 @@
- 	}
- };
- #else
-+#ifdef SOLARIS
- // Who knows why Solaris 2.6 have not THIS funny spins?
- //The next code is not comlpeted but let me compile //Konstantin
- class Spinlock {
-@@ -123,6 +124,29 @@
- 			system_call_failed::raise();
- 	}
- };
-+#else  // DARWIN and FREEBSD
-+class Spinlock {
-+private:
-+	pthread_mutex_t mlock;
-+public:
-+	Spinlock() {
-+		if (pthread_mutex_init(&mlock, 0))
-+			system_call_failed::raise();
-+	}
-+	~Spinlock() {
-+		if (pthread_mutex_destroy(&mlock))
-+			system_call_failed::raise();
-+	}
-+	void enter() {
-+		if (pthread_mutex_lock(&mlock))
-+			system_call_failed::raise();
-+	}
-+	void leave() {
-+		if (pthread_mutex_unlock(&mlock))
-+			system_call_failed::raise();
-+	}
-+};
-+#endif
- 
- #endif
- #endif
Index: files/pkg-message.in
===================================================================
RCS file: files/pkg-message.in
diff -N files/pkg-message.in
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ files/pkg-message.in	11 Apr 2005 16:08:02 -0000
@@ -0,0 +1,24 @@
+
+---------------------------------------------------------
+Firebird is now installed.  A symbolic link from
+/usr/interbase -> %%PREFIX%%/firebird may be needed
+for compatibility with existing  programs that use
+Firebird.
+
+The symbolic link can be created with:
+
+% ln -s %%PREFIX%% /usr/interbase
+
+It is STRONGLY recommended that you change the SYSDBA
+password with:
+
+% cd %%PREFIX%%
+% gsec -user SYSDBA -pass masterkey
+GSEC> modify SYSDBA -pw newpassword
+GSEC> quit
+
+before doing anything serious with Firebird.
+
+See %%PREFIX%%/firebird/RELNOTES for more.
+---------------------------------------------------------
+
===> Done

Thanks a lot
-- 
Renato Botelho <freebsd at galle dot com dot br>
AIM: RBGargaBR | ICQ: 54596223
GnuPG Key: http://www.galle.com.br/~renato/pubkey.asc

The lion and the calf shall lie down together but the calf won't get
much sleep.
		-- Woody Allen
Comment 6 Thierry Thomas freebsd_committer 2005-04-11 20:26:04 UTC
State Changed
From-To: feedback->closed


Committed, thanks!